Loading...
Searching...
No Matches
BALL::UCK Class Reference
Molecular Modeling » Molecular Structure » Miscellaneous

`#include <BALL/STRUCTURE/UCK.h>`

## Type definitions

typedef std::vector< std::pair< Size, Size > > | PairVector
typedef std::vector< std::vector< Size > > | SizeVector
| UCK ()
| UCK (const Molecule &mol, Size d=3)
| UCK (const Molecule &mol, bool ignore_hydrogens, Size d=3)
| UCK (UCK &uck)
virtual | ~UCK ()
void | printUCK (std::ostream &outstr)
Size | getDepth ()
const String & | getFormula () const
const String & | getUCK () const
const String & | getId () const
float | getWeight ()

## Detailed Description

Unique Chemical Key. Implements the UCK algorithm for computing a unique key for a given chemical structure.

Definition at line 22 of file UCK.h.

## Member Typedef Documentation

## PairVector

typedef std::vector<std::pair<Size, Size> > BALL::UCK::PairVector

Definition at line 28 of file UCK.h.

## SizeVector

typedef std::vector<std::vector<Size> > BALL::UCK::SizeVector

Definition at line 29 of file UCK.h.

## Constructor & Destructor Documentation

## UCK() [1/4]

BALL::UCK::UCK | ( |  | ) |

## UCK() [2/4]

BALL::UCK::UCK | ( | const Molecule & | mol,
|  | Size | d = 3 )

## UCK() [3/4]

BALL::UCK::UCK | ( | const Molecule & | mol,
|  | bool | ignore_hydrogens,
|  | Size | d = 3 )

## UCK() [4/4]

BALL::UCK::UCK | ( | UCK & | uck | ) |

## ~UCK()

virtual BALL::UCK::~UCK | ( |  | ) |

virtual

## Member Function Documentation

## getDepth()

Size BALL::UCK::getDepth | ( |  | ) |

## getFormula()

const String & BALL::UCK::getFormula | ( |  | ) | const

## getId()

const String & BALL::UCK::getId | ( |  | ) | const

## getUCK()

const String & BALL::UCK::getUCK | ( |  | ) | const

## getWeight()

float BALL::UCK::getWeight | ( |  | ) |

## printUCK()

void BALL::UCK::printUCK | ( | std::ostream & | outstr | ) |